Latest 0.1.2
Homepage https://github.com/eventflit/push-notifications-swift
License MIT
Platforms ios 10.0, osx 10.10, requires ARC
Authors

PushNotifications iOS & macOS SDK

Documentation
EventflitPushNotifications
CocoaPods
Carthage
Twitter

Example Code

Building and Running

Minimum Requirements

  • Xcode – The easiest way to get Xcode is from the App Store, but you can also download it from developer.apple.com if you have an AppleID registered with an Apple Developer account.

Installation

CocoaPods

CocoaPods is a dependency manager for Cocoa projects. You can install it with the following command:

$ gem install cocoapods

CocoaPods version 1.3.1 or newer is recommended to build EventflitPushNotifications.

To integrate EventflitPushNotifications into your Xcode project using CocoaPods, specify it in your Podfile:

source 'https://github.com/CocoaPods/Specs.git'
platform :ios, '10.0'
use_frameworks!

# Replace `<Your Target Name>` with your app's target name.
target '<Your Target Name>' do
    pod 'EventflitPushNotifications'
end

Then, run the following command:

$ pod install --repo-update

Carthage

Carthage is a decentralized dependency manager that builds your dependencies and provides you with binary frameworks.

Carthage version 0.26.2 or newer is recommended to build EventflitPushNotifications.

You can install Carthage with Homebrew using the following command:

$ brew update
$ brew install carthage

To integrate EventflitPushNotifications into your Xcode project using Carthage, specify it in your Cartfile:

github "eventflit/push-notifications-swift"

Run carthage update to build the framework and drag the built EventflitPushNotifications.frameworkinto your Xcode project.

PushNotifications Reference

Communication

  • Found a bug? Please open an issue.
  • Have a feature request. Please open an issue.
  • If you want to contribute, please submit a pull request (preferrably with some tests).

License

EventflitPushNotifications is released under the MIT license. See LICENSE for details.

Latest podspec

{
    "name": "EventflitPushNotifications",
    "version": "0.1.2",
    "summary": "Eventflit PushNotifications SDK",
    "homepage": "https://github.com/eventflit/push-notifications-swift",
    "license": "MIT",
    "authors": {
        "Eventflit": "[email protected]"
    },
    "source": {
        "git": "https://github.com/eventflit/push-notifications-swift.git",
        "tag": "0.1.2"
    },
    "social_media_url": "https://twitter.com/eventflit",
    "documentation_url": "https://eventflit.github.io/push-notifications-swift/Classes/PushNotifications.html",
    "requires_arc": true,
    "source_files": "Sources/*.swift",
    "platforms": {
        "ios": "10.0",
        "osx": "10.10"
    }
}

Pin It on Pinterest

Share This